Page MenuHomePhabricator

Port CentralNotice Selenium tests from Ruby to Node.js
Closed, ResolvedPublic

Description

TODO

🏝 443093 (mediawiki/extensions/CentralNotice): WIP The first sample Selenium test in Node.js

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterDelete Ruby Selenium tests
integration/config : masterDo not run Ruby and/or Selenium jobs for CentralNotice
mediawiki/extensions/CentralNotice : masterWIP The first sample Selenium test in Node.js

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 1:01 PM
zeljkofilipin added a subscriber: AndyRussG.

@AndyRussG let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

zeljkofilipin triaged this task as Low priority.

Change 443093 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralNotice@master] WIP The first sample Selenium test in Node.js

https://gerrit.wikimedia.org/r/443093

zeljkofilipin removed zeljkofilipin as the assignee of this task.Jun 29 2018, 2:40 PM
zeljkofilipin updated the task description. (Show Details)

Change 443093 abandoned by Zfilipin:
WIP The first sample Selenium test in Node.js

Reason:
No activity in months.

https://gerrit.wikimedia.org/r/443093

Hi @zeljkofilipin... Many apologies for not responding here, and thanks for the sample test!!!!! Can you say how urgent this is? Also, is the lack of update maybe related to recent failures on OSX for the legacy system? Thanks so much and apologies again!

Can you say how urgent this is?

As far as I'm concerned, not urgent at all, but please notice that Ruby Selenium framework is already deprecated for about a year: Blog Post: Selenium Ruby framework deprecated.

Also, is the lack of update maybe related to recent failures on OSX for the legacy system?

I did not understand this.

Change 521883 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralNotice

https://gerrit.wikimedia.org/r/521883

Change 521884 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralNotice@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521884

Change 521883 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralNotice

https://gerrit.wikimedia.org/r/521883

Change 521884 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521884

zeljkofilipin closed this task as Resolved.Jul 12 2019, 3:20 PM